Publish Cloned Voice
curl --request POST \
--url https://app.luly.ai/api/v1/voices/{id}/publish \
--header 'authorization: <authorization>'import requests
url = "https://app.luly.ai/api/v1/voices/{id}/publish"
headers = {"authorization": "<authorization>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {authorization: '<authorization>'}};
fetch('https://app.luly.ai/api/v1/voices/{id}/publish', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "Voice published successfully",
"voice": {
"id": "fad27b44-667b-4ad7-a9e3-aba1ca69446b",
"name": "Public - My Example",
"tags": ["Exciting", "happy"],
"ratings": 5,
"description": "Exciting and upbeat voice."
}
}
Voices
Publish Cloned Voice
Make your cloned voice public to use.
POST
/
v1
/
voices
/
{id}
/
publish
Publish Cloned Voice
Headers
string
required
Your API key for authentication.
Path Parameters
string
required
The ID of the voice to generate the audio sample for, or it’s name (like “maya”).
Response
string
The status of the request
string
Information regarding the status of your request.
object
Object containing data of the voice.
string
Id of the voice.
string
Name of the voice
string
Tags for the voice.
{
"status": "success",
"message": "Voice published successfully",
"voice": {
"id": "fad27b44-667b-4ad7-a9e3-aba1ca69446b",
"name": "Public - My Example",
"tags": ["Exciting", "happy"],
"ratings": 5,
"description": "Exciting and upbeat voice."
}
}
⌘I